<?php

/*

 $Id: show_create_option.inc,v 1.3 2003/11/11 22:44:21 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_create_option.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Create DHCP Option Template
	This file shows the form for actually creating
	a new DHCP option
*/
?>

<p class="header2">Creating a new <?= ucfirst($type); ?> DHCP Option</p>

<? $conf['help']->display_help('dhcp_option_general'); ?>

<form name="edit_pointer" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/option.php">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('option_value'); ?>"><? $conf['help']->show_link('option_value'); ?>Option Value: </td>
	
                <td>
                        <input name="value" value="<?= $value; ?>" size="35" />
                        <? $conf['error']->show_message('option_value'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('dhcp_option'); ?>"><? $conf['help']->show_link('dhcp_option'); ?>DHCP Option:</td>
		<td>
			<? $conf['ui']->show_dhcp_option_select($option->id,"dhcp_option"); ?>
			<? $conf['error']->show_message('dhcp_option'); ?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor();  ?>">
                <td title="<? $conf['help']->title('dhcp_scope'); ?>"><? $conf['help']->show_link('dhcp_scope'); ?>Scope: </td>
                <td>
			<select name="scope">
				<option value="<?= $type; ?>" <? if ($scope == $type) { echo "SELECTED"; } ?>>Local</option>
				<option value="host" <? if ($scope == 'host') { echo "SELECTED"; } ?>>Host</option>
			</select>
			<? $conf['error']->show_message('scope'); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
                <td>
		<input value="Create new Option" type="submit" />&nbsp;&nbsp;
		<input type="hidden" name="action" value="create_option" />
		<input type="hidden" name="type" value="<?= $type; ?>" />
		<input type="hidden" name="type_id" value="<?= $object->id; ?>" />
		<input type="hidden" name="next_page" value="<?= $next_page; ?>" />
		<input type="hidden" name="next_action" value="<?= $next_action; ?>" />
                <input type="submit" name="action" value="Cancel" />
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>
</form>

